#include "StdAfx.h"
#include "QtPath.h"

#include <QString>
#include <QProcess>



namespace qut
{


//! 環境変数QTDIRからQtのインストールフォルダを取得する
QString QtPath::GetQTDir(void)
{
	QStringList envs = QProcess::systemEnvironment();
	for(int i = 0; i < envs.size(); ++i)
	{
		const QString& s = envs[i];
		if(s.left(5) == "QTDIR")
			return s.right(s.length() - 5 - 1);
	}

	return QObject::tr("");
}


}
